document.addEventListener('change', (e: Event) => {
    const checkbox = e.target as HTMLInputElement;

    if (checkbox.classList.contains('Checkbox__Input')) {
        const wrapper: HTMLElement = checkbox.closest('.FormControl__Inner') as HTMLElement;
        const uncheckWarning: string = wrapper.querySelector('.Checkbox').getAttribute('data-uncheck-warning');

        if (uncheckWarning) {
            if (!checkbox.checked) {
                const message = document.createElement('div');
                message.classList.add('Message', 'Message_warning');
                message.innerHTML = uncheckWarning;

                console.log(message);

                if (wrapper.nextElementSibling) {
                    wrapper.parentNode.insertBefore(message, wrapper.nextElementSibling);
                } else {
                    wrapper.parentNode.appendChild(message);
                }
            } else {
                const message = (wrapper.parentNode as HTMLElement).querySelector('.Message_warning');

                if (message) {
                    message.parentNode.removeChild(message);
                }
            }
        }
    }
});