<?php
namespace Ak\Form;

use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;

/**
 * Konfiguracija komponente.
 *
 * @package Ep
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
final class ConfigProvider extends ConfigAggregator
{
    /**
     * Konstructor.
     */
    public function __construct()
    {
        parent::__construct([
            \Laminas\Form\ConfigProvider::class,
            \Ak\Annotation\ConfigProvider::class,
            \Ak\Events\ConfigProvider::class,
            \Ak\InputFilter\ConfigProvider::class,
            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]);
    }

    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return $this->getMergedConfig();
    }
}
