<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\ElementInterface;
use Laminas\Form\View\Helper\FormCollection as BaseFormCollection;

/**
 * Renderira kolekciju elemenata.
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
class FormCollection extends BaseFormCollection
{
    use HelperTools;

    /**
     * The name of the default view helper that is used to render sub elements.
     *
     * @var string
     */
    protected $defaultElementHelper = 'form_element';

    /**
     * Render a collection by iterating through all fieldsets and elements
     *
     * @param  ElementInterface $element
     * @return string
     */
    public function render(ElementInterface $element): string
    {
        $this->addCssClass($element, 'Fieldset');
        return parent::render($element);
    }
}
