<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\ElementInterface;
use Laminas\Form\View\Helper\FormInput as BaseFormInput;

/**
 * Renderira <input> element.
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class FormInput extends BaseFormInput
{
    use HelperTools;

    /**
     * @param ElementInterface $element
     *
     * @return string
     */
    public function render(ElementInterface $element): string
    {
        $classes[] = 'Input';
        $classes[] = 'Input_' . $this->getType($element);

        if (count($element->getMessages()) > 0) {
            $classes[] = 'Input_hasError';
        }

        $this->addCssClass($element, $classes);

        return parent::render($element);
    }
}
