<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\ElementInterface;
use Laminas\Form\LabelAwareInterface;
use Laminas\Form\View\Helper\FormLabel as BaseFormLabel;

/**
 * Renderira <label> element.
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class FormLabel extends BaseFormLabel
{
    /**
     * @param ElementInterface|null $attributesOrElement
     * @return string
     */
    public function openTag($attributesOrElement = null): string
    {
        if ($attributesOrElement instanceof LabelAwareInterface) {
            $attributes = $attributesOrElement->getLabelAttributes();
            $attributes['class'] = trim('Label ' . ($attributes['class'] ?? ''));
            $attributesOrElement->setLabelAttributes($attributes);
        }

        return parent::openTag($attributesOrElement);
    }
}
