<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\ElementInterface;
use Laminas\Form\View\Helper\FormTextarea as BaseFormTextarea;

/**
 * Renderira <input> element.
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class FormTextarea extends BaseFormTextarea
{
    use HelperTools;

    public function render(ElementInterface $element)
    {
        $classes[] = 'Input';
        $classes[] = 'Input_textarea';

        if (count($element->getMessages()) > 0) {
            $classes[] = 'Input_hasError';
        }

        $this->addCssClass($element, $classes);

        return parent::render($element);
    }
}
