<?php
namespace AkTest\Form\Annotation;

use AkTest\Form\AbstractTestCase;
use Laminas\Form\Fieldset;
use Laminas\Form\Form;
use Psr\Container\ContainerExceptionInterface;
use Psr\Container\NotFoundExceptionInterface;

/**
 * Class AnnotatedFormAbstractFactoryTest
 *
 * @package AkTest\Form\Annotation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class AnnotatedFormAbstractFactoryTest extends AbstractTestCase
{
    /**
     * @return void
     * @throws ContainerExceptionInterface
     * @throws NotFoundExceptionInterface
     */
    public function testCanCreateForm()
    {
        $forms = $this->getFormElementManager();

        $this->assertTrue($forms->has(ParentObject::class));
        /** @var Form $form */
        $form = $forms->get(ParentObject::class);

        $this->assertTrue($form->has('child'));
        $this->assertInstanceOf(Fieldset::class, $form->get('child'));
    }
}
