<?php
namespace AkTest\Form;

use Ak\Form\Element\Checkbox;
use PHPUnit\Framework\TestCase;

/**
 * Class ElementTraitTest
 *
 * @package AkTest\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class ElementTraitTest extends TestCase
{
    public function testIdIsAvailableViaGetter()
    {
        $element = new Checkbox('checkbox');
        $id = $element->getId();

        $this->assertNotEmpty($id);
        $this->assertEquals($id, $element->getId());
    }

    public function testIdIsAvailableViaGetAttribute()
    {
        $element = new Checkbox('checkbox');
        $id = $element->getAttribute('id');

        $this->assertNotEmpty($id);
        $this->assertEquals($id, $element->getAttribute('id'));
    }

    public function testIdIsAvailableViaGetAttributes()
    {
        $element = new Checkbox('checkbox');
        $attributes = $element->getAttributes();

        $this->assertArrayHasKey('id', $attributes);
        $this->assertEquals($attributes['id'], $element->getAttributes()['id']);
    }

    public function testElementAlwaysHasId()
    {
        $element = new Checkbox('checkbox');

        $this->assertTrue($element->hasAttribute('id'));
    }
}