<?php
namespace AkTest\Form\View\Helper;

use Ak\Form\View\Helper\FormInput;
use AkTest\Form\AbstractTestCase;
use Laminas\Form\Element\Checkbox;

/**
 * Class FormInputTest
 *
 * @package AkTest\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class InputTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $plugins = $this->getHelperPluginManager();

        $this->assertContainerHasService($plugins, [
            'form_input',
            FormInput::class,
        ], FormInput::class, true);
    }

    public function testDefaultClassesAreAdded()
    {
        $helper = $this->getHelper('form_input');

        $element = new Checkbox('name');

        $rendered = $helper($element);

        $this->assertSelectCount('input.Input.Input_checkbox', 1, $rendered);
        $this->assertSelectCount('input.Input_hasError', 0, $rendered);
    }

    public function testErrorClassIsAddedIfElementHasMessages()
    {
        $helper = $this->getHelper('form_input');

        $element = new Checkbox('name');
        $element->setMessages(['message']);

        $rendered = $helper($element);

        $this->assertSelectCount('input.Input.Input_checkbox.Input_hasError', 1, $rendered);
    }
}
