<?php
namespace AkTest\Form\View\Helper;

use Ak\Form\View\Helper\FormLabel;
use AkTest\Form\AbstractTestCase;
use Laminas\Form\Element\Checkbox;

/**
 * Class FormLabelTest
 *
 * @package AkTest\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class LabelTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $plugins = $this->getHelperPluginManager();

        $this->assertTrue($plugins->has('form_label'));
        $this->assertInstanceOf(FormLabel::class, $plugins->get('form_label'));
    }

    public function testLabelHasDefaultClass()
    {
        $helper = $this->getHelper('form_label');
        $element = new Checkbox('checkbox');

        $rendered = $helper($element, 'label');

        $this->assertSelectCount('label.Label', 1,$rendered);
    }
}
