<?php
declare(strict_types=1);

namespace AkTest\Form\View\Helper;

use Ak\Form\View\Helper\FormMultiCheckbox;
use AkTest\Form\AbstractTestCase;
use Laminas\Form\Element\MultiCheckbox;

/**
 * Class MultiCheckboxTest
 *
 * @package AkTest\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/form
 */
final class MultiCheckboxTest extends AbstractTestCase
{
    public function testCanPassCssClasstoCheckbox()
    {
        $helper = new FormMultiCheckbox();

        $element = new MultiCheckbox('test', [
            'value_options' => [
                1 => 'some option',
            ],
            'checkbox_attributes' => [
                'class' => 'injected-css-class',
            ],
        ]);

        $rendered = $helper($element);
        $this->assertSelectCount('div.Checkbox > input.Checkbox__Input.injected-css-class', 1, $rendered);
    }
}
